package com.ruoyi.project.sems.service;

import java.util.List;
import com.ruoyi.project.sems.domain.TMeasureStress;

/**
 * 材料应力Service接口
 *
 * @author ssy
 * @date 2025-03-19
 */
public interface ITMeasureStressService
{
    /**
     * 查询材料应力
     *
     * @param id 材料应力ID
     * @return 材料应力
     */
    public TMeasureStress selectTMeasureStressById(Long id);

    /**
     * 查询材料应力列表
     *
     * @param tMeasureStress 材料应力
     * @return 材料应力集合
     */
    public List<TMeasureStress> selectTMeasureStressList(TMeasureStress tMeasureStress);

    /**
     * 新增材料应力
     *
     * @param tMeasureStress 材料应力
     * @return 结果
     */
    public int insertTMeasureStress(TMeasureStress tMeasureStress);

    /**
     * 修改材料应力
     *
     * @param tMeasureStress 材料应力
     * @return 结果
     */
    public int updateTMeasureStress(TMeasureStress tMeasureStress);

    /**
     * 批量删除材料应力
     *
     * @param ids 需要删除的材料应力ID
     * @return 结果
     */
    public int deleteTMeasureStressByIds(Long[] ids);

    /**
     * 删除材料应力信息
     *
     * @param id 材料应力ID
     * @return 结果
     */
    public int deleteTMeasureStressById(Long id);
}
